.control_default {
    @font-family: @font-secondary;
    @font-size: 100%;
    @font-weight: 400;
    @text-transform: none;
    @letter-spacing: 0;

    @color:@c-title;
    @color_hover:@c-title;
    @color_focus:@c-title;

    @border-radius: 0;
    @border-width: 1px;
    @border-style: solid;

    @border-color: hsla(0, 0, 0, .25);
    @border-color_hover: hsla(0, 0, 0, .5);
    @border-color_focus: @c-link;

    @border-color_invert: hsla(0, 0, 100%, .25);
    @border-color_hover_invert: hsla(0, 0, 100%, .5);
    @border-color_focus_invert: @c-link;

    & > input {
        background-color: #fff;
        ._mixin_control_core(
            @padding: 0 @control-height/4,
            @font-family,
            @font-size,
            @font-weight,
            @letter-spacing,
            @text-transform
        );
    }

    & > select {
        background-color: #fff;
        ._mixin_control_core(
            @padding: 0 @control-height 0 @control-height/4,
            @font-family,
            @font-size,
            @font-weight,
            @letter-spacing,
            @text-transform
        );
    }

    & > textarea {
        background-color: #fff;
        ._mixin_control_core(
            @padding: @control-height/4,
            @font-family,
            @font-size,
            @font-weight,
            @letter-spacing,
            @text-transform
        );

    }
    & > input,
    & > select,
    & > textarea {
        border-radius: 2px;
        box-shadow: 0 3px 1px -2px rgba(0, 0, 0, 0.12), 0 2px 2px 0 rgba(0, 0, 0, 0.12);
        &:hover {
            .shadow_2;
        }
        &:focus {
            .shadow_2;
            outline: 2px solid hsla(203, 100%, 50%, 0.5);
            outline-offset: 0px !important;
            //outline-color: hsla(203, 100%, 50%, 0.5);
            //outline-width: 2px;
            //outline-offset: 0;
        }
        //box-shadow: 0 1px 2px 0 hsla(0,0,0,0.15) inset;
        ._mixin_control_color (
            @color,
            @color_hover,
            @color_focus
        );
        //._mixin_control_border (
        //    @border-width,
        //    @border-style,
        //    @border-color,
        //    @border-color_hover,
        //    @border-color_focus
        //)
    }

    ._invert & > input,
    ._invert & > select,
    ._invert & > textarea {
        ._mixin_control_color (
            @c-title-invert,
            @c-title-invert,
            @c-title-invert
        );
        ._mixin_control_border (
            @border-width,
            @border-style,
            @border-color_invert,
            @border-color_hover_invert,
            @border-color_focus_invert
        )
    }
}
